#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-class-plugin
version:              1.1.1.1
visibility:           public
id:                   hls-class-plugin-1.1.1.1-IpiXsfGa31q74euyEMyupt
key:                  hls-class-plugin-1.1.1.1-IpiXsfGa31q74euyEMyupt
license:              Apache-2.0
maintainer:           jjc9310@gmail.com
author:               Junyoung Clare Jang
homepage:             https://github.com/haskell/haskell-language-server#readme
synopsis:
    Class/instance management plugin for Haskell Language Server

description:
    Class/instance management plugin for Haskell Language Server.
    For usage, please see README of HLS on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  d1d5ea162ef0d19d2d6e22f81ebfd6e6
exposed:              True
exposed-modules:      Ide.Plugin.Class
hidden-modules:
    Ide.Plugin.Class.CodeAction Ide.Plugin.Class.CodeLens
    Ide.Plugin.Class.ExactPrint Ide.Plugin.Class.Types
    Ide.Plugin.Class.Utils

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-class-plugin-1.1.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-class-plugin-1.1.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-class-plugin
hs-libraries:         HShls-class-plugin-1.1.1.1-IpiXsfGa31q74euyEMyupt
depends:
    aeson-2.1.2.1-FhTjbzRVW7jFzXz0ecy3pa base-4.16.4.0
    containers-0.6.5.1 deepseq-1.4.6.1
    extra-1.7.16-9B4V23tC1fO4gqjltrnKoa ghc-9.2.8 ghc-boot-th-9.2.8
    ghc-exactprint-1.5.0-Ki2G4kHMoG5GlCoYqOGva3
    ghcide-1.10.0.0-DGlB8gUQ0NjHmScay8uSHf
    hls-graph-1.9.0.0-HohhuQEeucDEZh1daXcrLC
    hls-plugin-api-1.6.0.0-7khGZxDAHBh4h2Xnkyxqnh
    lens-5.2.3-BvPGCNowJJEJ41IL4OiKRj
    lsp-1.6.0.0-7foj1UOuw6f9vn3R2cbem6 text-1.2.5.0
    transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-hls-class-plugin/html/hls-class-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-class-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

